Subject: Ticket Assigned - Poor performance by Centrepoint staff at branch jeddah, KSA
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sun, 23 Jan 2022 12:22:04 +0000

Hi Amira Alanaz,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Poor performance by Centrepoint staff at branch jeddah, KSA 
Dear Team,

I have placed one order here in Jeddah, KSA ,1 week back order number is 6397643519. I am continuously getting the messages to pick your order from the store. I have visited the store many time every time staff there check and reply your order is not here we will check from Head office. they took my phone number also that we will call you.  I DID NOT RECEIVE A SINGLE CALL FROM STAFF NOR RECEIVE MY ORDER.  I am really DISAPPOINTED from CENTRE POINT SERVICE.  I am your loyal customer from 8 years and this is what I am getting. on top of that staff at branch was recommending me to cancel the order. what is this behavior ?????  still on daily basis I am getting below message.

"""Your order 6397643519 is still waiting for you at Splash (Centre point)  Jeddah Park Mall - Aziziyah, King Fahd Bran Road, Jeddah 23334. Please bring your govt. issued ID & this SMS to collect it."""

Please look into this issue I want my parcel and compensation . Items were supposed to be wear by a teacher for school. Now b/c of Centre point mismanagement we have to run for other options at the end time.
I hope Centre point will not disappoint their loyal customer.
waiting for your response.

Regards
Adeel Siddiqui
00966-507171610

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3800546